/**
  ******************************************************************************
  * @file    SPI_FLASH_user.h
  * @author  sinomcu.com-AE
  * @brief   Header file of SPI_FLASH_user.c file.
  * 
  *          This file describes the spi flash user macro definitions used:
  *             SPI FLASH test start address and number.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
  */

#ifndef __SPI_FLASH_USER_H
#define __SPI_FLASH_USER_H

#include "ms32f0xx.h"

#define SPI_FLASH_TEST_ADDRESS   0x000000        // SPI FLASH test start address
#define SPI_FLASH_TEST_BUFF_LEN  64              // SPI FLASH test byte number

ErrorStatus spi_flash_test(uint32_t address);

#endif /* __SPI_FLASH_USER_H */ 

/******************************** END OF FILE *********************************/
