/**
  ******************************************************************************
  * @file    Virtual_UART.h
  * @author  sinomcu.com-AE
  * @brief   Header file of Virtual_UART.c file.
  *     virtual uart send port and pin:eg.PA9
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
 */

#ifndef __VIRTUAL_UART_H
#define __VIRTUAL_UART_H

#define VirtualUART_Port       GPIOA
#define VirtualUART_TxPIN      MS32_GPIO_PIN_9

void virtualUart_Init(void); 
void virtualUart_SendByte(uint8_t sendData);

#endif /* __VIRTUAL_UART_H */ 

/******************************** END OF FILE ******************************** */
